/*
 * Copyright The OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.opentelemetry.auto.instrumentation.awssdk.v1_11;

import io.opentelemetry.instrumentation.api.decorator.BaseTracer;

public class OnErrorTracer extends BaseTracer {
  public static final OnErrorTracer ERROR_TRACER = new OnErrorTracer();

  @Override
  protected String getInstrumentationName() {
    return "io.opentelemetry.auto.aws-sdk-1.11-error";
  }
}
